[Python-modules-commits] [python-tidylib] 07/08: Add autopkgtests, running upstream test suite.
Dmitry Shachnev
mitya57 at moszumanska.debian.org
Sun Sep 25 10:58:36 UTC 2016
This is an automated email from the git hooks/post-receive script.
mitya57 pushed a commit to branch master
in repository python-tidylib.
commit 06ca84a3e7a7f0840297b706ac3fc9a984c3e62b
Author: Dmitry Shachnev <mitya57 at gmail.com>
Date: Sun Sep 25 13:55:21 2016 +0300
Add autopkgtests, running upstream test suite.
---
debian/changelog | 1 +
debian/tests/control | 7 +++++++
debian/tests/python-tidylib | 10 ++++++++++
debian/tests/python3-tidylib | 10 ++++++++++
4 files changed, 28 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index e1bd481..38d8e1c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ python-tidylib (0.3.0~dfsg-1) UNRELEASED; urgency=medium
* New upstream release.
* Add a patch to use ctypes.util.find_library instead of the hard-coded
list of library names (0002-Use-find_library.patch, closes: #838197).
+ * Add autopkgtests, running upstream test suite.
-- Dmitry Shachnev <mitya57 at debian.org> Sun, 25 Sep 2016 13:37:46 +0300
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..f44f4cf
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,7 @@
+Tests: python-tidylib
+Depends: python-tidylib
+Restrictions: allow-stderr
+
+Tests: python3-tidylib
+Depends: python3-tidylib
+Restrictions: allow-stderr
diff --git a/debian/tests/python-tidylib b/debian/tests/python-tidylib
new file mode 100755
index 0000000..d9a7105
--- /dev/null
+++ b/debian/tests/python-tidylib
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eu
+cp -r tests "$ADTTMP"
+cd "$ADTTMP"
+
+for python in $(pyversions -i); do
+ echo "Testing with $python..."
+ $python -m unittest discover -v -s tests
+done
diff --git a/debian/tests/python3-tidylib b/debian/tests/python3-tidylib
new file mode 100755
index 0000000..7fb2b2f
--- /dev/null
+++ b/debian/tests/python3-tidylib
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eu
+cp -r tests "$ADTTMP"
+cd "$ADTTMP"
+
+for python in $(py3versions -i); do
+ echo "Testing with $python..."
+ $python -m unittest discover -v -s tests
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-tidylib.git
More information about the Python-modules-commits
mailing list